> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# sentry-projects

> Sentry Projects - manage projects, teams, organizations, and environments

**Server path:** `/sentry-projects` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`sentry_projects_create_a_new_project`](#sentry_projects_create_a_new_project)                                                             | Create a new project bound to a team.          Note: If your organization has disabled member project creation, the `org:write` or `team:admin` scope is required.                                                                                                                                                                                                                                                                                                                                 |
| [`sentry_projects_create_a_new_team`](#sentry_projects_create_a_new_team)                                                                   | Create a new team bound to an organization. Requires at least one of the `name` or `slug` body params to be set.                                                                                                                                                                                                                                                                                                                                                                                   |
| [`sentry_projects_delete_a_project`](#sentry_projects_delete_a_project)                                                                     | Schedules a project for deletion.  Deletion happens asynchronously and therefore is not immediate. However once deletion has begun the state of a project changes and will be hidden from most public views.                                                                                                                                                                                                                                                                                       |
| [`sentry_projects_delete_a_team`](#sentry_projects_delete_a_team)                                                                           | Schedules a team for deletion.  **Note:** Deletion happens asynchronously and therefore is not immediate. Teams will have their slug released while waiting for deletion.                                                                                                                                                                                                                                                                                                                          |
| [`sentry_projects_list_a_project_s_environments`](#sentry_projects_list_a_project_s_environments)                                           | Lists a project's environments.                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`sentry_projects_list_a_project_s_teams`](#sentry_projects_list_a_project_s_teams)                                                         | Return a list of teams that have access to this project.                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [`sentry_projects_list_a_project_s_users`](#sentry_projects_list_a_project_s_users)                                                         | Return a list of users seen within this project.                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`sentry_projects_list_a_team_s_members`](#sentry_projects_list_a_team_s_members)                                                           | List all members on a team.  The response will not include members with pending invites.                                                                                                                                                                                                                                                                                                                                                                                                           |
| [`sentry_projects_list_a_team_s_projects`](#sentry_projects_list_a_team_s_projects)                                                         | Return a list of projects bound to a team.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`sentry_projects_list_an_organization_s_environments`](#sentry_projects_list_an_organization_s_environments)                               | Lists an organization's environments.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`sentry_projects_list_an_organization_s_members`](#sentry_projects_list_an_organization_s_members)                                         | List all organization members.  Response includes pending invites that are approved by organization owners or managers but waiting to be accepted by the invitee.                                                                                                                                                                                                                                                                                                                                  |
| [`sentry_projects_list_an_organization_s_projects`](#sentry_projects_list_an_organization_s_projects)                                       | Return a list of projects bound to a organization.                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [`sentry_projects_list_an_organization_s_teams`](#sentry_projects_list_an_organization_s_teams)                                             | Returns a list of teams bound to a organization.                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`sentry_projects_list_your_organizations`](#sentry_projects_list_your_organizations)                                                       | Return a list of organizations available to the authenticated session in a region. This is particularly useful for requests with a user bound context. For API key-based requests this will only return the organization that belongs to the key.                                                                                                                                                                                                                                                  |
| [`sentry_projects_retrieve_a_project`](#sentry_projects_retrieve_a_project)                                                                 | Return details on an individual project.                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [`sentry_projects_retrieve_a_team`](#sentry_projects_retrieve_a_team)                                                                       | Return details on an individual team.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`sentry_projects_retrieve_an_organization`](#sentry_projects_retrieve_an_organization)                                                     | Return details on an individual organization, including various details such as membership access and teams.                                                                                                                                                                                                                                                                                                                                                                                       |
| [`sentry_projects_retrieve_an_organization_member`](#sentry_projects_retrieve_an_organization_member)                                       | Retrieve an organization member's details.  Response will be a pending invite if it has been approved by organization owners or managers but is waiting to be accepted by the invitee.                                                                                                                                                                                                                                                                                                             |
| [`sentry_projects_retrieve_an_organization_s_events_count_by_project`](#sentry_projects_retrieve_an_organization_s_events_count_by_project) | Query summarized event counts by project for your Organization. Also see [https://docs.sentry.io/api/organizations/retrieve-event-counts-for-an-organization-v2/](https://docs.sentry.io/api/organizations/retrieve-event-counts-for-an-organization-v2/) for reference.                                                                                                                                                                                                                           |
| [`sentry_projects_retrieve_event_counts_for_a_project`](#sentry_projects_retrieve_event_counts_for_a_project)                               | Caution This endpoint may change in the future without  notice.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`sentry_projects_retrieve_event_counts_for_an_organization_v2`](#sentry_projects_retrieve_event_counts_for_an_organization_v2)             | Query event counts for your Organization. Select a field, define a date range, and group or filter by columns.                                                                                                                                                                                                                                                                                                                                                                                     |
| [`sentry_projects_retrieve_ownership_configuration_for_a_project`](#sentry_projects_retrieve_ownership_configuration_for_a_project)         | Returns details on a project's ownership configuration.                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| [`sentry_projects_update_a_project`](#sentry_projects_update_a_project)                                                                     | Update various attributes and configurable settings for the given project.  Note that solely having the **`project:read`** scope restricts updatable settings to `isBookmarked`, `autofixAutomationTuning`, `seerScannerAutomation`, `preprodSizeStatusChecksEnabled`, `preprodSizeStatusChecksRules`, `preprodSizeEnabledQuery`, `preprodDistributionEnabledQuery`, `preprodSizeEnabledByCustomer`, `preprodDistributionEnabledByCustomer`, and `preprodDistributionPrCommentsEnabledByCustomer`. |
| [`sentry_projects_update_a_team`](#sentry_projects_update_a_team)                                                                           | Update various attributes and configurable settings for the given team.                                                                                                                                                                                                                                                                                                                                                                                                                            |

***

## sentry\_projects\_create\_a\_new\_project

Create a new project bound to a team.          Note: If your organization has disabled member project creation, the `org:write` or `team:admin` scope is required.

**Parameters:**

| Parameter                 | Type    | Required | Default | Description                                                                                                                                                                                   |                                                                                                                                    |
| ------------------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string  | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                   |                                                                                                                                    |
| `team_id_or_slug`         | string  | Yes      | —       | The ID or slug of the team the resource belongs to.                                                                                                                                           |                                                                                                                                    |
| `default_rules`           | boolean | No       | —       | Defaults to true where the behavior is to alert the user on every new issue. Setting this to false will turn this off and the user must create their own alerts to be notified of new issues. |                                                                                                                                    |
| `name`                    | string  | Yes      | —       | The name for the project.                                                                                                                                                                     |                                                                                                                                    |
| `platform`                | string  | null     | No      | —                                                                                                                                                                                             | The platform for the project.                                                                                                      |
| `slug`                    | string  | null     | No      | —                                                                                                                                                                                             | Uniquely identifies a project and is used for the interface.         If not provided, it is automatically generated from the name. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "team_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the team the resource belongs to."
      },
      "default_rules": {
        "type": "boolean",
        "description": "Defaults to true where the behavior is to alert the user on every new issue. Setting this to false will turn this off and the user must create their own alerts to be notified of new issues."
      },
      "name": {
        "type": "string",
        "description": "The name for the project."
      },
      "platform": {
        "type": [
          "string",
          "null"
        ],
        "description": "The platform for the project."
      },
      "slug": {
        "type": [
          "string",
          "null"
        ],
        "description": "Uniquely identifies a project and is used for the interface.         If not provided, it is automatically generated from the name."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "team_id_or_slug",
      "name"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_create\_a\_new\_team

Create a new team bound to an organization. Requires at least one of the `name` or `slug` body params to be set.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                 |                                                                                                                                 |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to. |                                                                                                                                 |
| `name`                    | string | null     | No      | —                                                           | **`[DEPRECATED]`** The name for the team. If not provided, it is         automatically generated from the slug                  |
| `slug`                    | string | null     | No      | —                                                           | Uniquely identifies a team and is used for the interface. If not         provided, it is automatically generated from the name. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "name": {
        "type": [
          "string",
          "null"
        ],
        "description": "**`[DEPRECATED]`** The name for the team. If not provided, it is         automatically generated from the slug"
      },
      "slug": {
        "type": [
          "string",
          "null"
        ],
        "description": "Uniquely identifies a team and is used for the interface. If not         provided, it is automatically generated from the name."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_delete\_a\_project

Schedules a project for deletion.  Deletion happens asynchronously and therefore is not immediate. However once deletion has begun the state of a project changes and will be hidden from most public views.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                 |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to. |
| `project_id_or_slug`      | string | Yes      | —       | The ID or slug of the project the resource belongs to.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_delete\_a\_team

Schedules a team for deletion.  **Note:** Deletion happens asynchronously and therefore is not immediate. Teams will have their slug released while waiting for deletion.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                 |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to. |
| `team_id_or_slug`         | string | Yes      | —       | The ID or slug of the team the resource belongs to.         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "team_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the team the resource belongs to."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "team_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_a\_project\_s\_environments

Lists a project's environments.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                             |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.             |
| `project_id_or_slug`      | string | Yes      | —       | The ID or slug of the project the resource belongs to.                  |
| `visibility`              | string | No       | —       | The visibility of the environments to filter by. Defaults to `visible`. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      },
      "visibility": {
        "type": "string",
        "description": "The visibility of the environments to filter by. Defaults to `visible`.",
        "enum": [
          "all",
          "hidden",
          "visible"
        ]
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_a\_project\_s\_teams

Return a list of teams that have access to this project.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                             |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                                             |
| `project_id_or_slug`      | string | Yes      | —       | The ID or slug of the project the resource belongs to.                                                  |
| `cursor`                  | string | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_a\_project\_s\_users

Return a list of users seen within this project.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                                                                                                            |
| ------------------------- | ------ | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization.                                                                                                                                                    |
| `project_id_or_slug`      | string | Yes      | —       | The ID or slug of the project.                                                                                                                                                         |
| `query`                   | string | No       | —       | Limit results to users matching the given query. Prefixes should be used to suggest the field to match on: `id`, `email`, `username`, `ip`. For example, `query=email:foo@example.com` |
| `cursor`                  | string | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project."
      },
      "query": {
        "type": "string",
        "description": "Limit results to users matching the given query. Prefixes should be used to suggest the field to match on: `id`, `email`, `username`, `ip`. For example, `query=email:foo@example.com`"
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_a\_team\_s\_members

List all members on a team.  The response will not include members with pending invites.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                             |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                                             |
| `team_id_or_slug`         | string | Yes      | —       | The ID or slug of the team the resource belongs to.                                                     |
| `cursor`                  | string | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "team_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the team the resource belongs to."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "team_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_a\_team\_s\_projects

Return a list of projects bound to a team.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                             |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                                             |
| `team_id_or_slug`         | string | Yes      | —       | The ID or slug of the team the resource belongs to.                                                     |
| `cursor`                  | string | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "team_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the team the resource belongs to."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "team_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_an\_organization\_s\_environments

Lists an organization's environments.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                             |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.             |
| `visibility`              | string | No       | —       | The visibility of the environments to filter by. Defaults to `visible`. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "visibility": {
        "type": "string",
        "description": "The visibility of the environments to filter by. Defaults to `visible`.",
        "enum": [
          "all",
          "hidden",
          "visible"
        ]
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_an\_organization\_s\_members

List all organization members.  Response includes pending invites that are approved by organization owners or managers but waiting to be accepted by the invitee.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                             |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                                             |
| `cursor`                  | string | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_an\_organization\_s\_projects

Return a list of projects bound to a organization.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                             |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                                             |
| `cursor`                  | string | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_an\_organization\_s\_teams

Returns a list of teams bound to a organization.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                             |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                                             |
| `detailed`                | string | No       | —       | Specify `"0"` to return team details that do not include projects.                                      |
| `cursor`                  | string | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "detailed": {
        "type": "string",
        "description": "Specify `\"0\"` to return team details that do not include projects."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_list\_your\_organizations

Return a list of organizations available to the authenticated session in a region. This is particularly useful for requests with a user bound context. For API key-based requests this will only return the organization that belongs to the key.

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| --------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `owner`   | boolean | No       | —       | Specify `true` to restrict results to organizations in which you are an owner.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `cursor`  | string  | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `query`   | string  | No       | —       | Filters results by using query syntax.  Valid query fields include: - `id`: The organization ID - `slug`: The organization slug - `status`: The organization's current status (one of `active`, `pending_deletion`, or `deletion_in_progress`) - `email` or `member_id`: Filter your organizations by the emails or organization member IDs of specific members included - `platform`: Filter your organizations to those with at least one project using this platform - `query`: Filter your organizations by name, slug, and members that contain this substring  Example: `query=(slug:foo AND status:active) OR (email:[thing-one@example.com,thing-two@example.com] AND query:bar)` |
| `sortBy`  | string  | No       | —       | The field to sort results by, in descending order. If not specified the results are sorted by the date they were created.  Valid fields include: - `members`: By number of members - `projects`: By number of projects - `events`: By number of events in the past 24 hours                                                                                                                                                                                                                                                                                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "owner": {
        "type": "boolean",
        "description": "Specify `true` to restrict results to organizations in which you are an owner."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      },
      "query": {
        "type": "string",
        "description": "Filters results by using [query syntax](/product/sentry-basics/search/).  Valid query fields include: - `id`: The organization ID - `slug`: The organization slug - `status`: The organization's current status (one of `active`, `pending_deletion`, or `deletion_in_progress`) - `email` or `member_id`: Filter your organizations by the emails or [organization member IDs](/api/organizations/list-an-organizations-members/) of specific members included - `platform`: Filter your organizations to those with at least one project using this platform - `query`: Filter your organizations by name, slug, and members that contain this substring  Example: `query=(slug:foo AND status:active) OR (email:[thing-one@example.com,thing-two@example.com] AND query:bar)`"
      },
      "sortBy": {
        "type": "string",
        "description": "The field to sort results by, in descending order. If not specified the results are sorted by the date they were created.  Valid fields include: - `members`: By number of members - `projects`: By number of projects - `events`: By number of events in the past 24 hours"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_a\_project

Return details on an individual project.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                 |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to. |
| `project_id_or_slug`      | string | Yes      | —       | The ID or slug of the project the resource belongs to.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_a\_team

Return details on an individual team.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                         |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                         |
| `team_id_or_slug`         | string | Yes      | —       | The ID or slug of the team the resource belongs to.                                 |
| `expand`                  | string | No       | —       | List of strings to opt in to additional data. Supports `projects`, `externalTeams`. |
| `collapse`                | string | No       | —       | List of strings to opt out of certain pieces of data. Supports `organization`.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "team_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the team the resource belongs to."
      },
      "expand": {
        "type": "string",
        "description": "List of strings to opt in to additional data. Supports `projects`, `externalTeams`."
      },
      "collapse": {
        "type": "string",
        "description": "List of strings to opt out of certain pieces of data. Supports `organization`."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "team_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_an\_organization

Return details on an individual organization, including various details such as membership access and teams.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                         |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to.                         |
| `detailed`                | string | No       | —       | Specify `"0"` to return organization details that do not include projects or teams. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "detailed": {
        "type": "string",
        "description": "Specify `\"0\"` to return organization details that do not include projects or teams."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_an\_organization\_member

Retrieve an organization member's details.  Response will be a pending invite if it has been approved by organization owners or managers but is waiting to be accepted by the invitee.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                 |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to. |
| `member_id`               | string | Yes      | —       | The ID of the organization member.                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "member_id": {
        "type": "string",
        "description": "The ID of the organization member."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "member_id"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_an\_organization\_s\_events\_count\_by\_project

Query summarized event counts by project for your Organization. Also see [https://docs.sentry.io/api/organizations/retrieve-event-counts-for-an-organization-v2/](https://docs.sentry.io/api/organizations/retrieve-event-counts-for-an-organization-v2/) for reference.

**Parameters:**

| Parameter                 | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ------------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string  | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `field`                   | string  | Yes      | —       | the `sum(quantity)` field is bytes for attachments, and all others the 'event' count for those types of events.  `sum(times_seen)` sums the number of times an event has been seen. For 'normal' event types, this will be equal to `sum(quantity)` for now. For sessions, quantity will sum the total number of events seen in a session, while `times_seen` will be the unique number of sessions. and for attachments, `times_seen` will be the total number of attachments, while quantity will be the total sum of attachment bytes.  \* `sum(quantity)` \* `sum(times_seen)` |
| `statsPeriod`             | string  | No       | —       | This defines the range of the time series, relative to now. The range is given in a `&lt;number&gt;&lt;unit&gt;` format. For example `1d` for a one day range. Possible units are `m` for minutes, `h` for hours, `d` for days and `w` for weeks.You must either provide a `statsPeriod`, or a `start` and `end`.                                                                                                                                                                                                                                                                  |
| `interval`                | string  | No       | —       | This is the resolution of the time series, given in the same format as `statsPeriod`. The default resolution is `1h` and the minimum resolution is currently restricted to `1h` as well. Intervals larger than `1d` are not supported, and the interval has to cleanly divide one day.                                                                                                                                                                                                                                                                                             |
| `start`                   | string  | No       | —       | This defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `end` instead of `statsPeriod`.                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `end`                     | string  | No       | —       | This defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `start` instead of `statsPeriod`.                                                                                                                                                                                                                                                                                                                                                                                                           |
| `project`                 | any\[]  | No       | —       | The ID of the projects to filter by.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `category`                | string  | No       | —       | If filtering by attachments, you cannot filter by any other category due to quantity values becoming nonsensical (combining bytes and event counts).  If filtering by `error`, it will automatically add `default` and `security` as we currently roll those two categories into `error` for displaying.  \* `error` \* `transaction` \* `attachment` \* `replays` \* `profiles`                                                                                                                                                                                                   |
| `outcome`                 | string  | No       | —       | See [https://docs.sentry.io/product/stats/](https://docs.sentry.io/product/stats/) for more information on outcome statuses.  \* `accepted` \* `filtered` \* `rate_limited` \* `invalid` \* `abuse` \* `client_discard` \* `cardinality_limited`                                                                                                                                                                                                                                                                                                                                   |
| `reason`                  | string  | No       | —       | The reason field will contain why an event was filtered/dropped.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `download`                | boolean | No       | —       | Download the API response in as a csv file                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "field": {
        "type": "string",
        "description": "the `sum(quantity)` field is bytes for attachments, and all others the 'event' count for those types of events.  `sum(times_seen)` sums the number of times an event has been seen. For 'normal' event types, this will be equal to `sum(quantity)` for now. For sessions, quantity will sum the total number of events seen in a session, while `times_seen` will be the unique number of sessions. and for attachments, `times_seen` will be the total number of attachments, while quantity will be the total sum of attachment bytes.  * `sum(quantity)` * `sum(times_seen)`",
        "enum": [
          "sum(quantity)",
          "sum(times_seen)"
        ]
      },
      "statsPeriod": {
        "type": "string",
        "description": "This defines the range of the time series, relative to now. The range is given in a `<number><unit>` format. For example `1d` for a one day range. Possible units are `m` for minutes, `h` for hours, `d` for days and `w` for weeks.You must either provide a `statsPeriod`, or a `start` and `end`."
      },
      "interval": {
        "type": "string",
        "description": "This is the resolution of the time series, given in the same format as `statsPeriod`. The default resolution is `1h` and the minimum resolution is currently restricted to `1h` as well. Intervals larger than `1d` are not supported, and the interval has to cleanly divide one day."
      },
      "start": {
        "type": "string",
        "description": "This defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `end` instead of `statsPeriod`."
      },
      "end": {
        "type": "string",
        "description": "This defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `start` instead of `statsPeriod`."
      },
      "project": {
        "type": "array",
        "description": "The ID of the projects to filter by."
      },
      "category": {
        "type": "string",
        "description": "If filtering by attachments, you cannot filter by any other category due to quantity values becoming nonsensical (combining bytes and event counts).  If filtering by `error`, it will automatically add `default` and `security` as we currently roll those two categories into `error` for displaying.  * `error` * `transaction` * `attachment` * `replays` * `profiles`",
        "enum": [
          "error",
          "transaction",
          "attachment",
          "replays",
          "profiles"
        ]
      },
      "outcome": {
        "type": "string",
        "description": "See https://docs.sentry.io/product/stats/ for more information on outcome statuses.  * `accepted` * `filtered` * `rate_limited` * `invalid` * `abuse` * `client_discard` * `cardinality_limited`",
        "enum": [
          "accepted",
          "filtered",
          "rate_limited",
          "invalid",
          "abuse",
          "client_discard",
          "cardinality_limited"
        ]
      },
      "reason": {
        "type": "string",
        "description": "The reason field will contain why an event was filtered/dropped."
      },
      "download": {
        "type": "boolean",
        "description": "Download the API response in as a csv file"
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "field"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_event\_counts\_for\_a\_project

Caution This endpoint may change in the future without  notice.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                           |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization.                                                   |
| `project_id_or_slug`      | string | Yes      | —       | The ID or slug of the project.                                                        |
| `stat`                    | string | No       | —       | The name of the stat to query `("received", "rejected", "blacklisted", "generated")`. |
| `since`                   | string | No       | —       | A timestamp to set the start of the query in seconds since UNIX epoch.                |
| `until`                   | string | No       | —       | A timestamp to set the end of the query in seconds since UNIX epoch.                  |
| `resolution`              | string | No       | —       | An explicit resolution to search for (one of `10s`, `1h`, and `1d`).                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project."
      },
      "stat": {
        "type": "string",
        "description": "The name of the stat to query `(\"received\", \"rejected\", \"blacklisted\", \"generated\")`.",
        "enum": [
          "received",
          "rejected",
          "blacklisted",
          "generated"
        ]
      },
      "since": {
        "type": "string",
        "description": "A timestamp to set the start of the query in seconds since UNIX epoch."
      },
      "until": {
        "type": "string",
        "description": "A timestamp to set the end of the query in seconds since UNIX epoch."
      },
      "resolution": {
        "type": "string",
        "description": "An explicit resolution to search for (one of `10s`, `1h`, and `1d`).",
        "enum": [
          "10s",
          "1h",
          "1d"
        ]
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_event\_counts\_for\_an\_organization\_v2

Query event counts for your Organization. Select a field, define a date range, and group or filter by columns.

**Parameters:**

| Parameter                 | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string    | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `groupBy`                 | string\[] | Yes      | —       | can pass multiple groupBy parameters to group by multiple, e.g. `groupBy=project&groupBy=outcome` to group by multiple dimensions. Note that grouping by project can cause missing rows if the number of projects / interval is large. If you have a large number of projects, we recommend filtering and querying by them individually.Also note that grouping by projects does not currently support timeseries interval responses and will instead be a sum of the projectover the entire period specified.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `field`                   | string    | Yes      | —       | the `sum(quantity)` field is bytes for attachments, and all others the 'event' count for those types of events.  `sum(times_seen)` sums the number of times an event has been seen. For 'normal' event types, this will be equal to `sum(quantity)` for now. For sessions, quantity will sum the total number of events seen in a session, while `times_seen` will be the unique number of sessions. and for attachments, `times_seen` will be the total number of attachments, while quantity will be the total sum of attachment bytes.  \* `sum(quantity)` \* `sum(times_seen)`                                                                                                                                                                                                                                                                                                                                                                            |
| `statsPeriod`             | string    | No       | —       | This defines the range of the time series, relative to now. The range is given in a `&lt;number&gt;&lt;unit&gt;` format. For example `1d` for a one day range. Possible units are `m` for minutes, `h` for hours, `d` for days and `w` for weeks.You must either provide a `statsPeriod`, or a `start` and `end`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `interval`                | string    | No       | —       | This is the resolution of the time series, given in the same format as `statsPeriod`. The default resolution is `1h` and the minimum resolution is currently restricted to `1h` as well. Intervals larger than `1d` are not supported, and the interval has to cleanly divide one day.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `start`                   | string    | No       | —       | This defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `end` instead of `statsPeriod`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `end`                     | string    | No       | —       | This defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `start` instead of `statsPeriod`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `project`                 | any\[]    | No       | —       | The ID of the projects to filter by.  Use `-1` to include all accessible projects.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `category`                | string    | No       | —       | Filter by data category. Each category represents a different type of data:  - `error`: Error events (includes `default` and `security` categories) - `transaction`: Transaction events - `attachment`: File attachments (note: cannot be combined with other categories since quantity represents bytes) - `replay`: Session replay events - `profile`: Performance profiles - `profile_duration`: Profile duration data (note: cannot be combined with other categories since quantity represents milliseconds) - `profile_duration_ui`: Profile duration (UI) data (note: cannot be combined with other categories since quantity represents milliseconds) - `profile_chunk`: Profile chunk data - `profile_chunk_ui`: Profile chunk (UI) data - `monitor`: Cron monitor events  \* `error` \* `transaction` \* `attachment` \* `replay` \* `profile` \* `profile_duration` \* `profile_duration_ui` \* `profile_chunk` \* `profile_chunk_ui` \* `monitor` |
| `outcome`                 | string    | No       | —       | See [https://docs.sentry.io/product/stats/](https://docs.sentry.io/product/stats/) for more information on outcome statuses.  \* `accepted` \* `filtered` \* `rate_limited` \* `invalid` \* `abuse` \* `client_discard` \* `cardinality_limited`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `reason`                  | string    | No       | —       | The reason field will contain why an event was filtered/dropped.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "groupBy": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "outcome",
            "category",
            "reason",
            "project"
          ]
        },
        "description": "can pass multiple groupBy parameters to group by multiple, e.g. `groupBy=project&groupBy=outcome` to group by multiple dimensions. Note that grouping by project can cause missing rows if the number of projects / interval is large. If you have a large number of projects, we recommend filtering and querying by them individually.Also note that grouping by projects does not currently support timeseries interval responses and will instead be a sum of the projectover the entire period specified."
      },
      "field": {
        "type": "string",
        "description": "the `sum(quantity)` field is bytes for attachments, and all others the 'event' count for those types of events.  `sum(times_seen)` sums the number of times an event has been seen. For 'normal' event types, this will be equal to `sum(quantity)` for now. For sessions, quantity will sum the total number of events seen in a session, while `times_seen` will be the unique number of sessions. and for attachments, `times_seen` will be the total number of attachments, while quantity will be the total sum of attachment bytes.  * `sum(quantity)` * `sum(times_seen)`",
        "enum": [
          "sum(quantity)",
          "sum(times_seen)"
        ]
      },
      "statsPeriod": {
        "type": "string",
        "description": "This defines the range of the time series, relative to now. The range is given in a `<number><unit>` format. For example `1d` for a one day range. Possible units are `m` for minutes, `h` for hours, `d` for days and `w` for weeks.You must either provide a `statsPeriod`, or a `start` and `end`."
      },
      "interval": {
        "type": "string",
        "description": "This is the resolution of the time series, given in the same format as `statsPeriod`. The default resolution is `1h` and the minimum resolution is currently restricted to `1h` as well. Intervals larger than `1d` are not supported, and the interval has to cleanly divide one day."
      },
      "start": {
        "type": "string",
        "description": "This defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `end` instead of `statsPeriod`."
      },
      "end": {
        "type": "string",
        "description": "This defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with `start` instead of `statsPeriod`."
      },
      "project": {
        "type": "array",
        "description": "The ID of the projects to filter by.  Use `-1` to include all accessible projects."
      },
      "category": {
        "type": "string",
        "description": "Filter by data category. Each category represents a different type of data:  - `error`: Error events (includes `default` and `security` categories) - `transaction`: Transaction events - `attachment`: File attachments (note: cannot be combined with other categories since quantity represents bytes) - `replay`: Session replay events - `profile`: Performance profiles - `profile_duration`: Profile duration data (note: cannot be combined with other categories since quantity represents milliseconds) - `profile_duration_ui`: Profile duration (UI) data (note: cannot be combined with other categories since quantity represents milliseconds) - `profile_chunk`: Profile chunk data - `profile_chunk_ui`: Profile chunk (UI) data - `monitor`: Cron monitor events  * `error` * `transaction` * `attachment` * `replay` * `profile` * `profile_duration` * `profile_duration_ui` * `profile_chunk` * `profile_chunk_ui` * `monitor`",
        "enum": [
          "error",
          "transaction",
          "attachment",
          "replay",
          "profile",
          "profile_duration",
          "profile_duration_ui",
          "profile_chunk",
          "profile_chunk_ui",
          "monitor"
        ]
      },
      "outcome": {
        "type": "string",
        "description": "See https://docs.sentry.io/product/stats/ for more information on outcome statuses.  * `accepted` * `filtered` * `rate_limited` * `invalid` * `abuse` * `client_discard` * `cardinality_limited`",
        "enum": [
          "accepted",
          "filtered",
          "rate_limited",
          "invalid",
          "abuse",
          "client_discard",
          "cardinality_limited"
        ]
      },
      "reason": {
        "type": "string",
        "description": "The reason field will contain why an event was filtered/dropped."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "groupBy",
      "field"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_retrieve\_ownership\_configuration\_for\_a\_project

Returns details on a project's ownership configuration.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                 |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to. |
| `project_id_or_slug`      | string | Yes      | —       | The ID or slug of the project the resource belongs to.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_update\_a\_project

Update various attributes and configurable settings for the given project.  Note that solely having the **`project:read`** scope restricts updatable settings to `isBookmarked`, `autofixAutomationTuning`, `seerScannerAutomation`, `preprodSizeStatusChecksEnabled`, `preprodSizeStatusChecksRules`, `preprodSizeEnabledQuery`, `preprodDistributionEnabledQuery`, `preprodSizeEnabledByCustomer`, `preprodDistributionEnabledByCustomer`, and `preprodDistributionPrCommentsEnabledByCustomer`.

**Parameters:**

| Parameter                 | Type      | Required | Default | Description                                                                                                                                                                                                                                                           |                                                                                                                |
| ------------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string    | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                           |                                                                                                                |
| `project_id_or_slug`      | string    | Yes      | —       | The ID or slug of the project the resource belongs to.                                                                                                                                                                                                                |                                                                                                                |
| `highlightContext`        | object    | No       | —       | A JSON mapping of context types to lists of strings for their keys. E.g. `&#123;'user': ['id', 'email']&#125;`                                                                                                                                                        |                                                                                                                |
| `highlightTags`           | string\[] | No       | —       | A list of strings with tag keys to highlight on this project's issues. E.g. `['release', 'environment']`                                                                                                                                                              |                                                                                                                |
| `isBookmarked`            | boolean   | No       | —       | Enables starring the project within the projects tab. Can be updated with **`project:read`** permission.                                                                                                                                                              |                                                                                                                |
| `name`                    | string    | No       | —       | The name for the project                                                                                                                                                                                                                                              |                                                                                                                |
| `platform`                | string    | null     | No      | —                                                                                                                                                                                                                                                                     | The platform for the project                                                                                   |
| `resolveAge`              | integer   | null     | No      | —                                                                                                                                                                                                                                                                     | Automatically resolve an issue if it hasn't been seen for this many hours. Set to `0` to disable auto-resolve. |
| `scmSourceContextEnabled` | boolean   | No       | —       | Enable on-demand source context fetching from SCM integrations for stack traces.                                                                                                                                                                                      |                                                                                                                |
| `slug`                    | string    | No       | —       | Uniquely identifies a project and is used for the interface.                                                                                                                                                                                                          |                                                                                                                |
| `subjectPrefix`           | string    | No       | —       | Custom prefix for emails from this project.                                                                                                                                                                                                                           |                                                                                                                |
| `subjectTemplate`         | string    | No       | —       | The email subject to use (excluding the prefix) for individual alerts. Here are the list of variables you can use: - `$title` - `$shortID` - `$projectID` - `$orgID` - `$&#123;tag:key&#125;` - such as `$&#123;tag:environment&#125;` or `$&#123;tag:release&#125;`. |                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      },
      "highlightContext": {
        "type": "object",
        "description": "A JSON mapping of context types to lists of strings for their keys. E.g. `{'user': ['id', 'email']}`"
      },
      "highlightTags": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "A list of strings with tag keys to highlight on this project's issues. E.g. `['release', 'environment']`"
      },
      "isBookmarked": {
        "type": "boolean",
        "description": "Enables starring the project within the projects tab. Can be updated with **`project:read`** permission."
      },
      "name": {
        "type": "string",
        "description": "The name for the project"
      },
      "platform": {
        "type": [
          "string",
          "null"
        ],
        "description": "The platform for the project"
      },
      "resolveAge": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Automatically resolve an issue if it hasn't been seen for this many hours. Set to `0` to disable auto-resolve."
      },
      "scmSourceContextEnabled": {
        "type": "boolean",
        "description": "Enable on-demand source context fetching from SCM integrations for stack traces."
      },
      "slug": {
        "type": "string",
        "description": "Uniquely identifies a project and is used for the interface."
      },
      "subjectPrefix": {
        "type": "string",
        "description": "Custom prefix for emails from this project."
      },
      "subjectTemplate": {
        "type": "string",
        "description": "The email subject to use (excluding the prefix) for individual alerts. Here are the list of variables you can use: - `$title` - `$shortID` - `$projectID` - `$orgID` - `${tag:key}` - such as `${tag:environment}` or `${tag:release}`."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_projects\_update\_a\_team

Update various attributes and configurable settings for the given team.

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                 |
| ------------------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `organization_id_or_slug` | string | Yes      | —       | The ID or slug of the organization the resource belongs to. |
| `team_id_or_slug`         | string | Yes      | —       | The ID or slug of the team the resource belongs to.         |
| `slug`                    | string | Yes      | —       | Uniquely identifies a team. This is must be available.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
[...]
